activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gary Tully" <gary.tu...@gmail.com>
Subject Re: error building 5.2 using maven2
Date Mon, 22 Dec 2008 23:31:30 GMT
easiest is to build it your self and install locally. Checkout from:
https://svn.apache.org/repos/asf/activemq/activemq-blaze/trunk and do:
mvn install

2008/12/22 daven1986 <daven.gahir@gmail.com>:
>
> Hi,
>
> I get the following error when executing "mvn eclipse:eclipse" or the mvn
> clean install command (with tests skipped):
>
> Downloading:
> http://people.apache.org/repo/m2-snapshot-repository/org/apache/activemq/activeblaze/1.0-SNAPSHOT/activeblaze-1.0-SNAPSHOT.jar
> [INFO]
> ------------------------------------------------------------------------
> [ERROR] BUILD ERROR
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Failed to resolve artifact.
>
> Missing:
> ----------
> 1) org.apache.activemq:activeblaze:jar:1.0-SNAPSHOT
>
>  Try downloading the file manually from the project website.
>
>  Then, install it using the command:
>      mvn install:install-file -DgroupId=org.apache.activemq
> -DartifactId=activeblaze -Dversion=1.0-SNAPSHOT -Dpackaging=jar
> -Dfile=/path/to/file
>
>  Alternatively, if you host your own repository you can deploy the file
> there:
>      mvn deploy:deploy-file -DgroupId=org.apache.activemq
> -DartifactId=activeblaze -Dversion=1.0-SNAPSHOT -Dpackaging=jar
> -Dfile=/path/to/file -Durl=[url] -DrepositoryId=[id]
>
>  Path to dependency:
>        1) org.apache.activemq:kahadb:jar:5.3-SNAPSHOT
>        2) org.apache.activemq:activeblaze:jar:1.0-SNAPSHOT
>
> ----------
> 1 required artifact is missing.
>
> for artifact:
>  org.apache.activemq:kahadb:jar:5.3-SNAPSHOT
>
> from the specified remote repositories:
>  apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
>  chirino-zk-repo (http://people.apache.org/~chirino/zk-repo/),
>  central (http://repo1.maven.org/maven2)
>
> I have looked in the locations given and there doesn't appear to be an
> activeblaze 1.0 jar in any of them. Does anyone know where I can get it, or
> how I adjust the pom file to get this to build?
>
> Thanks
>
> Daven
> --
> View this message in context: http://www.nabble.com/error-building-5.2-using-maven2-tp21132027p21132027.html
> Sent from the ActiveMQ - Dev mailing list archive at Nabble.com.
>
>



-- 
http://blog.garytully.com

Open Source SOA
http://FUSESource.com

Mime
View raw message